## libwfut 0.2.3

=== debian/changelog ===
libwfut (0.2.3-8build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:58:06 +0000

libwfut (0.2.3-8) unstable; urgency=medium

  * Add patch to comply with PEP-8 in Python files
  * Update standards to 4.5.1 (no changes)
  * Add Salsa CI

 -- Olek Wojnar <olek@debian.org>  Thu, 21 Jan 2021 23:32:41 -0500

libwfut (0.2.3-7) unstable; urgency=high

  * Update from python2 to python3 (Closes: #936939)
  * Update standards to 4.5.0 (no changes)
  * Update date for debian/* in d/copyright
  * Update dh compatibility level to 13 (remove d/compat)
  * Update d/symbols file due to continued instability

 -- Olek Wojnar <olek@debian.org>  Mon, 03 Aug 2020 17:26:05 -0400

libwfut (0.2.3-6) unstable; urgency=medium

  * Update d/control:
    - New uploader email and URLs
    - Standards to 4.2.1 (no changes)
    - Add Rules-Requires-Root declaration
    - Remove versioned build dependency on g++
    - Update Python directives
  * Update d/copyright: refresh Debian info
  * Update d/compat to 11: no changes
  * Add d/upstream/metadata: for DEP 12 compliance
  * Update d/rules: migration complete, remove dbgsym-migration flag
  * Remove d/triggers: redundant trigger
  * Add override for upcoming Python 3 support

 -- Olek Wojnar <olekw.dev@gmail.com>  Mon, 08 Oct 2018 01:27:22 -0400

libwfut (0.2.3-5) unstable; urgency=high

  * Update symbols for GCC 7 (Closes: #853516)
  * Update dh compat to 10
  * Update standards to 4.1.0
    - d/control: document new standards version
    - d/copyright: use https in Format field

 -- Olek Wojnar <olek-dev@wojnar.org>  Tue, 05 Sep 2017 20:08:24 -0500

libwfut (0.2.3-4) unstable; urgency=medium

  * Fix symbols for GCC6 (Closes: #811985)
  * Update d/control
    - Standards-Version to 3.9.8 (no changes)
    - Update Vcs lines for secure URIs
  * Enable all hardening options
  * Update d/copyright
  * Add ldconfig trigger
  * Convert to automatic debug package

 -- Olek Wojnar <olek-dev@wojnar.org>  Sun, 03 Jul 2016 11:46:13 -0400

libwfut (0.2.3-3) unstable; urgency=medium

  * Add patch to remove references to sigc++ file object_slot.h
    -- File has been removed in newest sigc++
    -- Fixes resulting build failures (Closes: #804736)
  * Remove auto-generated python/WFUT.cxx file from source tree
  * Update symbols

 -- Olek Wojnar <olek-dev@wojnar.org>  Sat, 21 Nov 2015 17:25:55 -0600

libwfut (0.2.3-2) unstable; urgency=medium

  * Fix symbols file to allow GCC 5 building (Closes: #799746)
    - Thanks for the patch, Matthias Klose
  * Refresh packaging
  * Don't install into games directories

 -- Olek Wojnar <olek-dev@wojnar.org>  Sat, 26 Sep 2015 20:31:30 -0500

libwfut (0.2.3-1) unstable; urgency=low

  * New upstream release
  * New maintainer (Closes: #653974)
  * Team maintained under the Debian Games Team
  * Incorporate Stephen Webb's packaging changes from pkg-games VCS
    - Remove obsolete use of chrpath
    - Convert from cdbs to dh(8)
    - Update to 3.0 (quilt) source format
    - Restore -dbg package contents
    - Package python bindings
    - Add d/libwfut-0.2-1.symbols
    - Add build dependency on libtinyxml-dev
  * Update to dh(9)
  * Update d/control: Standards-Version to 3.9.6
    - Update d/copyright for DEP-5
    - Add VCS to d/control
  * Update d/control: Update dependencies
  * Update d/control: Add Stephen Webb and myself to uploaders
  * Update d/control: Use dh-autoreconf (Closes: #734231)
  * Move wfut binary install to /usr/games to comply with FHS
  * Update d/libwfut-0.2-1.symbols
  * Updated Multiarch compliance

 -- Olek Wojnar <olek-dev@wojnar.org>  Wed, 22 Oct 2014 23:26:26 -0500

libwfut (0.2.1-3) unstable; urgency=medium

  * QA upload.
  * Setting maintainer to QA-Group
  * add "Build-Depends: zlib1g-dev" to fix FTBFS (Closes: #747786)
    (Patch from the BTS by Hideki Yamane)

 -- Tobias Frost <tobi@debian.org>  Sat, 16 Aug 2014 12:59:03 +0000

libwfut (0.2.1-2) unstable; urgency=low

  * debian/rules: Add --disable-static to configure call.
  * debian/libwfut-0.2-dev.install: Don't install *.la and *.a files.
  * debian/control: Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Thu, 27 Aug 2009 09:10:06 +0200

libwfut (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Updated Standards-Version to 3.8.2.
  * debian/control: Add Depends: ${misc:Depends} to all packages.
  * debian/control: Move libwfut-0.2-1-dbg to debug section.
  * debian/watch: Update to make upstream updates easier.

 -- Michael Koch <konqueror@gmx.de>  Wed, 22 Jul 2009 16:22:13 +0200

libwfut (0.2.0-3) unstable; urgency=low

  * Really upload to unstable.
  * Added debian/patches/libwfut-gcc4.3.patch to make libwfut compile with
    GCC 4.3. Closes: #475765

 -- Michael Koch <konqueror@gmx.de>  Sun, 13 Apr 2008 12:47:02 +0200

libwfut (0.2.0-2) experimental; urgency=low

  * Upload to unstable.
  * Updated long descriptions of all packages. Closes: 458887

 -- Michael Koch <konqueror@gmx.de>  Fri, 11 Apr 2008 07:45:37 +0200

libwfut (0.2.0-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental.
  * Call chrpath on wfut binary and libwfut library.
  * Added watch file.

 -- Michael Koch <konqueror@gmx.de>  Fri, 04 Apr 2008 23:18:37 +0200

libwfut (0.1.0-2) unstable; urgency=low

  * Made libwfut-dbg package priority extra.
  * Updated Standard-Version to 3.7.3.

 -- Michael Koch <konqueror@gmx.de>  Tue, 18 Dec 2007 10:15:06 +0100

libwfut (0.1.0-1) unstable; urgency=low

  * Initial version. (Closes: 437524)

 -- Michael Koch <konqueror@gmx.de>  Sun, 30 Sep 2007 13:56:01 +0200
