=== debian/control ===
Source: libwfut
Priority: optional
Section: libs
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Olek Wojnar <olek@debian.org>,
           Debian Games Team <team+pkg-games@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libcurl4-gnutls-dev,
               libsigc++-2.0-dev,
               libtinyxml-dev,
               python3-dev,
               swig,
               zlib1g-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://www.worldforge.org/
Vcs-Git: https://salsa.debian.org/games-team/libwfut.git
Vcs-Browser: https://salsa.debian.org/games-team/libwfut

Package: libwfut-0.2-1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: WorldForge Update Tool (libraries)
 WFUT is a content distribution system initially intended to provide media
 updates for WorldForge. It can download and update game data and artwork for
 WorldForge gaming clients.
 .
 This package contains the libwfut library to be used by game clients.

Package: libwfut-0.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcurl4-gnutls-dev,
         libsigc++-2.0-dev,
         libwfut-0.2-1 (= ${binary:Version}),
         ${misc:Depends}
Description: WorldForge Update Tool (development files)
 WFUT is a content distribution system initially intended to provide media
 updates for WorldForge. It can download and update game data and artwork for
 WorldForge gaming clients.
 .
 This package contains the libwfut development files.

Package: python3-libwfut-0.2
Section: python
Architecture: any
Depends: libwfut-0.2-1 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: WorldForge Update Tool (Python bindings)
 WFUT is a content distribution system initially intended to provide media
 updates for WorldForge. It can download and update game data and artwork for
 WorldForge gaming clients.
 .
 This package contains the libwfut Python 3 bindings.

Package: wfut
Section: games
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: WorldForge Update Tool (executable)
 WFUT is a content distribution system initially intended to provide media
 updates for WorldForge. It can download and update game data and artwork for
 WorldForge gaming clients.
 .
 This package contains the wfut command line utility. With it a user can
 interactively download and update game data and artwork.
