=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3

override_dh_missing:
	dh_missing -X.la -X.a -X.pyo -X.pyc

override_dh_python3:
		dh_python3 --shebang=/usr/bin/python3
