=== external/CMakeLists.txt ===
add_subdirectory("tinyxml")
